Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cayenne.query
Enum SortOrder

    java.lang.Object
      java.lang.Enum<SortOrder>
          org.apache.cayenne.query.SortOrder

All Implemented Interfaces:
  Serializable, Comparable<SortOrder>

    public enum SortOrder

extends Enum<SortOrder>

Constants to order query results (the ORDER BY clause).

Since:
  3.0

Enum Constant Summary
`ASCENDING` ASCENDING = Ascending order, case sensitive. ASCENDING_INSENSITIVE = Ascending order, case insensitive DESCENDING = Descending order, case sensitive. DESCENDING_INSENSITIVE = Descending order, case insensitive.
`ASCENDING_INSENSITIVE`
`DESCENDING`
`DESCENDING_INSENSITIVE`

Method Summary
`static SortOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCENDING

    public static final SortOrder ASCENDING

  ASCENDING = Ascending order, case sensitive.
  ASCENDING_INSENSITIVE = Ascending order, case insensitive
  DESCENDING = Descending order, case sensitive.
  DESCENDING_INSENSITIVE = Descending order, case insensitive.

### ASCENDING_INSENSITIVE

    public static final SortOrder ASCENDING_INSENSITIVE

### DESCENDING

    public static final SortOrder DESCENDING

### DESCENDING_INSENSITIVE

    public static final SortOrder DESCENDING_INSENSITIVE

Method Detail

### values

    public static final SortOrder[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SortOrder c : SortOrder.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SortOrder valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.